Skip to navigation

Delete Customer Metafield

Deletes a customer metafield. To delete a customer metafield, use 'customerId' and 'metafieldId' in the query parameters.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

customerIdintegerRequired
The ID of the customer.
metafieldIdintegerRequired
The ID of the metafield belonging to the customer. The metafieldId is a generated response when sending a POST query to the Create a Customer Metafields endpoint.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Response

Response object for customer metafields deletion with success.

Errors

404
Not Found Error